:PROPERTIES:
:ID:       a1470370-bfb4-4a72-937e-6abaa707e4a7
:END:
#+title: 2023-09-01

Yesterday mother told me that both she and father need a cataract operation. The doctor advised it is better to wait until the weather is cooler, but they would need the money. They need money not just for the operation but just to live in a very expensive Egypt now.

Today father had a small accident while driving. He would not say much about it but it seems his eyesight is much worse than he shows or admits to himself. No wonder he is not able to get Ahmad's liking in the new bust.

Father is getting old and even more difficult. I hope I find a way to bring them over to the US to live while they are both alive and relatively healthy. The difficulties are material for me and personal for them.
